#!/bin/sh
#choixpoly.tcl
# Licence : GNU/GPL Version 2 ou plus
# \
exec wish "$0" ${1+"$@"}

############################################################################
# Copyright (C) 2002 David Lucardi
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,USA.
############################################################################
# File  : choixpoly.tcl
# Author  : David Lucardi
#           mailto: DavidLucardi@aol.com
# Date    : 26/04/2002
# Licence : GNU/GPL Version 2 ou plus
#
# Description:
# ------------
#
# @version $Id: choixpoly.tcl,v 1.2 2006/06/24 04:54:01 david Exp $
# @author     David Lucardi
# @project
# @copyright  David Lucardi 26/04/2002
#
#
#########################################################################


# Construction des widgets de l'interface, gnr automatiquement par tkbuilder
#. configure  -height 480 -width 64





#ouverture de la fentre pour la gestion des images
proc openpoly {c} {
	catch {destroy .wpoly}
      global CanvasGere
	set CanvasGere 0
	$c focus ""
	creetool canvas $c
	toplevel .wpoly -background #ffff80
	wm geometry .wpoly +70+110
	wm title .wpoly [mc {Choisir une forme}]
	wm transient .wpoly .
      canvas .wpoly.cpoly -width 620 -height 300
      pack .wpoly.cpoly
	set xpos 10
	set ypos 10
	set ext .pol
      foreach it {poly1 poly2 poly3 poly4 poly5 poly6 poly7 poly8 poly9 poly10 poly11 poly12 poly13 poly14 poly15 poly16 poly17 poly18} {
	set f [open [file join polygon $it$ext] "r"]
	set pol [gets $f]
	close $f
	set sm 0
	if {($it =="poly1") || ($it =="poly9") || ($it =="poly13") || ($it =="poly15") || ($it =="poly16") || ($it =="poly17") || ($it =="poly18")} {
	set sm 1}
	set tmp [.wpoly.cpoly create polygon $pol -fill blue -tags "choix $it" -outline black -smooth $sm]
	.wpoly.cpoly  move $tmp $xpos $ypos
      .wpoly.cpoly  bind $it <1> "forme $c $it; destroy .wpoly"
	set xpos [expr $xpos + 100]
      if {$xpos > 600} {
	set xpos 10
	set ypos [expr $ypos + 90]
	}

}
}

proc openbouton1 {c what sens} {
	catch {destroy .wpoly}
      global CanvasGere
	set CanvasGere 0
	$c focus ""
	creetool canvas $c
	toplevel .wpoly -background #ffff80
	wm geometry .wpoly +70+110
	wm title .wpoly [mc {Choisir un bouton}]
	wm transient .wpoly .
      canvas .wpoly.cpoly -width 530 -height 130
      pack .wpoly.cpoly
	set xpos 10
	set ypos 10
	set ext .pol
	for {set it 0} {$it < 4} {incr it} {
	set f [open [file join polygon $what$it$ext] "r"]
	set pol [gets $f]
	close $f
	set tmp [.wpoly.cpoly create polygon $pol -fill blue -tags "choix $what$it" -outline black -smooth 0]
	.wpoly.cpoly  move $tmp $xpos $ypos
      .wpoly.cpoly  bind $what$it <1> "bouton1 $c $what$it$ext $sens; destroy .wpoly"
	set xpos [expr $xpos + 120]
      if {$xpos > 450} {
	set xpos 10
	set ypos [expr $ypos + 100]
	}

}
}

